package com.emoon.openplatform.service;

import com.emoon.openplatform.domain.bo.QueryVectorBo;

import java.util.List;
import java.util.Map;

/**
 * @author destiny
 * @description:
 * @date 2025/10/13 16:52
 */
public interface IVectorStoreService {

    List<Map<String,Object>> getQueryVector(QueryVectorBo queryVectorBo);

    List<Map<String,Object>> getQueryVector(QueryVectorBo queryVectorBo, double score);

    List<Map<String,Object>> getQueryVector(QueryVectorBo queryVectorBo, double score, boolean isRetrieval);

    void createSchema(String knowledgeCode, String modelName);
}
